PostGIS Layer in Project not Reloadable when Layername is Changed
Status: Closed

Priority: Low

Assignee: Jurgen Fischer

Category: Project Loading/Saving

Affected QGIS version: Regression?: No
Operating System: Linux Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 10919
Description

QGIS is not able to reload a saved project with [[PostGIS]] layers after changing of layername when the layer comes from public schema.

1. Load a layer from [[PostGIS]] public schema. The connection string shows:
.... table="public"."&It;tablename&gt;" ...

2. change the layername with Layer Properties->General->Display Name
3. Take a look at the connection string, it shows:

.... table="&lt;tablename&gt;" ...

the schema name is lost
4. Save the project.

5. Load the project. QGIS is not able to load the renamed layer.

This behaviour happens only with layer from public schema.

History

#1 - 2007-12-10 02:08 AM - Jiirgen Fischer

You should see that when you load a project that was saved before commit:5b4e6997 (SVN r7712). The schema name is dropped, when the schema is

the current schema as it's not necessary in that case. But this might be a problem when you try to load a project save post commit:5b4e6997 (SVN r7712)

with an earlier revision. Does this apply in your case?

#2 - 2007-12-10 03:17 AM - horst-duester -

Replying to [comment:1 jef]:

You should see that when you load a project that was saved before commit:5b4e6997 (SVN r7712). The schema name is dropped, when the

schema is the current schema as it's not necessary in that case. But this might be a problem when you try to load a project save post
commit:5b4e6997 (SVN r7712) with an earlier revision. Does this apply in your case?

Your described scenario applies in my case. But | just tried rev. 7753 and a new created project with this rev with the same result.

#3 - 2007-12-10 04:45 AM - Jiirgen Fischer

2025-04-27 12




- Resolution set to fixed

- Status changed from Open to Closed

fixed in

#4 - 2007-12-10 08:19 AM - horst-duester -

Replying to [comment:4 jef]:

fixed in

Thank you very much for the fix!

#5 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted
